# _PspDebugRegBlock Struct Reference
[Debug Utility Library]

`#include <sdk/debug/pspdebug.h>`

## Detailed Description

Structure to hold the register data associated with an exception.

## Data Fields

u32 | frame [6]
u32 | r [32]
| Array of the 32 GPRs.
u32 | status
| The status register.
u32 | lo
| lo
u32 | hi
u32 | badvaddr
u32 | cause
u32 | epc
u32 | fpr [32]
u32 | fsr
u32 | fir
u32 | frame_ptr
u32 | unused
u32 | index
u32 | random
u32 | entrylo0
u32 | entrylo1
u32 | context
u32 | pagemask
u32 | wired
u32 | cop0_7
u32 | cop0_8
u32 | cop0_9
u32 | entryhi
u32 | cop0_11
u32 | cop0_12
u32 | cop0_13
u32 | cop0_14
u32 | prid
u32 | padding [100]

## Field Documentation

u32 _PspDebugRegBlock::badvaddr

u32 _PspDebugRegBlock::cause

u32 _PspDebugRegBlock::context

u32 _PspDebugRegBlock::cop0_11

u32 _PspDebugRegBlock::cop0_12

u32 _PspDebugRegBlock::cop0_13

u32 _PspDebugRegBlock::cop0_14

u32 _PspDebugRegBlock::cop0_7

u32 _PspDebugRegBlock::cop0_8

u32 _PspDebugRegBlock::cop0_9

u32 _PspDebugRegBlock::entryhi

u32 _PspDebugRegBlock::entrylo0

u32 _PspDebugRegBlock::entrylo1

u32 _PspDebugRegBlock::epc

u32 _PspDebugRegBlock::fir

u32 _PspDebugRegBlock::fpr[32]

u32 _PspDebugRegBlock::frame[6]

u32 _PspDebugRegBlock::frame_ptr

u32 _PspDebugRegBlock::fsr

u32 _PspDebugRegBlock::hi

u32 _PspDebugRegBlock::index

u32 _PspDebugRegBlock::lo

| lo

u32 _PspDebugRegBlock::padding[100]

u32 _PspDebugRegBlock::pagemask

u32 _PspDebugRegBlock::prid

u32 _PspDebugRegBlock::r[32]

| Array of the 32 GPRs.

u32 _PspDebugRegBlock::random

u32 _PspDebugRegBlock::status

| The status register.

u32 _PspDebugRegBlock::unused

u32 _PspDebugRegBlock::wired

The documentation for this struct was generated from the following file:

- sdk/debug/pspdebug.h